# 🔐 Password Manager - Менеджер паролей

Простой менеджер паролей для браузера с локальным хранением данных. Версия 1.1.0

> ⚠️ **Важное предупреждение**: Это не учебный проект, а реальный инструмент, но пароли хранятся в открытом виде в localStorage. Используйте на свой страх и риск! Не рекомендуется для хранения действительно важных паролей.

## ✨ Основные возможности

- **Локальное хранение** в браузере (localStorage)
- **Удобный ввод** данных в формате "Сервис Логин Пароль"
- **Сортировка** по всем колонкам
- **Безопасное отображение** паролей (скрыты по умолчанию)
- **Копирование** в буфер обмена
- **Экспорт/импорт** данных
- **Поиск** по записям

## 🛠 Технологии

- **Чистый JavaScript** (без зависимостей)
- **TailwindCSS** для стилей
- **HTML5 API**:
  - localStorage для сохранения данных
  - Clipboard API для копирования паролей
  - File API для импорта/экспорта

## 🚀 Быстрый старт

1. Клонируйте репозиторий:
```bash
git clone https://git.zorahm.ru/ZorahM/Password-Manager.git
cd Password-Manager
```

2. Запустите приложение:
- Откройте `index.html` прямо в браузере
- Или используйте Live Server в VS Code

3. Начните использовать:
```
# Формат ввода (каждая запись с новой строки)
Сервис Логин Пароль
Яндекс my_login SuperPass123
GitHub dev_user 8sDf!kL9
```

## 🔒 Вопросы безопасности

❗ **Пароли хранятся в открытом виде** в localStorage браузера. Это означает, что:
- Данные уязвимы при доступе к вашему компьютеру
- Пароли могут быть считаны другими расширениями
- При очистке кэша браузера данные будут потеряны

**Рекомендации**:
- Используйте только для неважных учетных записей
- Регулярно делайте экспорт данных
- Не используйте на общедоступных компьютерах

Для важных паролей рекомендуем:
- [Bitwarden](https://bitwarden.com/) (бесплатный)
- [KeePass](https://keepass.info/) (оффлайн)

## 🛠 Для разработчиков

1. Установите Live Server в VS Code
2. Запустите index.html через Live Server
3. Для сборки не требуется дополнительных инструментов

Особенности реализации:
- Нет зависимостей
- Простая модификация
- Чистый JavaScript ES6+

## 📜 Лицензия

MIT License - подробности в файле [LICENSE](LICENSE)

---

<div align="center">
  <sub>Создано с ❤️ | Используйте с осторожностью</sub>
</div>